Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2
Interface ProviderSession

All Known Implementing Classes:
  ServletProviderSession

public interface ProviderSession

The Provider interfaces are specified without dependencies on the Servlet interfaces. ProviderSession provides the equivalent abstraction as a servlet's HttpSession. When running in the servlet container, the session state is maintained in the HttpSession object while the ProviderSession becomes a simple wrapper that isolates the abstraction from that particular interface.

Sessions, if used, must be established in Provider.initSession(). Sessions are maintained on a ProviderUser basis. The ProviderUser interface is used to create and reacquire the session. A convenience method for reacquiring the session is available to renderers in the PortletRenderRequest object.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)` Returns the object bound with the specified name in this session, or `null` if no object is bound under the name.
`java.util.Enumeration` | `getAttributeNames()` Returns an `Enumeration` of `String` objects containing the names of all the objects bound to this session.
`long` | `getCreationTime()` Returns the time when this session was created, measured in milliseconds since midnight January 1, 1970 GMT.
`java.lang.String` | `getId()` Returns a string containing the unique identifier assigned to this session.
`long` | `getLastAccessedTime()` Returns the last time the client sent a request associated with this session, as the number of milliseconds since midnight January 1, 1970 GMT.
`int` | `getMaxInactiveInterval()` Returns the maximum time interval, in seconds, that the servlet engine will keep this session open between client requests.
`void` | `invalidate()` Invalidates this session and unbinds any objects bound to it.
`boolean` | `isNew()` Returns `true` if the client does not yet know about the session or if the client chooses not to join the session.
`void` | `removeAttribute(java.lang.String name)` Removes the object bound with the specified name from this session.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Binds an object to this session, using the name specified.

Method Detail

### getCreationTime

    public long getCreationTime()

  Returns the time when this session was created, measured in milliseconds since midnight January 1, 1970 GMT.

  Returns:
    a `long` specifying when this session was created, expressed in milliseconds since 1/1/1970 GMT
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an invalidated session

### getId

    public java.lang.String getId()

  Returns a string containing the unique identifier assigned to this session. The identifier is assigned by the servlet container and is implementation dependent.

  Returns:
    a string specifying the identifier assigned to this session

### getLastAccessedTime

    public long getLastAccessedTime()

  Returns the last time the client sent a request associated with this session, as the number of milliseconds since midnight January 1, 1970 GMT.

  Actions that your application takes, such as getting or setting a value associated with the session, do not affect the access time.

  Returns:
    a `long` representing the last time the client sent a request associated with this session, expressed in milliseconds since 1/1/1970 GMT

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

  Returns the maximum time interval, in seconds, that the servlet engine will keep this session open between client requests. You can set the maximum time interval with the `setMaxInactiveInterval` method.

  Returns:
    an integer specifying the number of seconds this session remains open between client requests

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Returns the object bound with the specified name in this session, or `null` if no object is bound under the name.

  Parameters:
    `name` - a string specifying the name of the object
  Returns:
    the object with the specified name
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an invalidated session

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Returns an `Enumeration` of `String` objects containing the names of all the objects bound to this session.

  Returns:
    an `Enumeration` of `String` objects specifying the names of all the objects bound to this session
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an invalidated session

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Binds an object to this session, using the name specified. If an object of the same name is already bound to the session, the object is replaced.

  After this method executes, and if the object implements `HttpSessionBindingListener`, the container calls `HttpSessionBindingListener.valueBound`.

  Parameters:
    `name` - the name to which the object is bound; cannot be null
    `value` - the object to be bound; cannot be null
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an invalidated session

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Removes the object bound with the specified name from this session. If the session does not have an object bound with the specified name, this method does nothing.

  After this method executes, and if the object implements `HttpSessionBindingListener`, the container calls `HttpSessionBindingListener.valueUnbound`.

  Parameters:
    `name` - the name of the object to remove from this session
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an invalidated session

### invalidate

    public void invalidate()

  Invalidates this session and unbinds any objects bound to it.

  Throws:
    `java.lang.IllegalStateException` - if this method is called on an already invalidated session

### isNew

    public boolean isNew()

  Returns `true` if the client does not yet know about the session or if the client chooses not to join the session. For example, if the server used only cookie-based sessions, and the client had disabled the use of cookies, then a session would be new on each request.

  Returns:
    `true` if the server has created a session, but the client has not yet joined
  Throws:
    `java.lang.IllegalStateException` - if this method is called on an already invalidated session

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.